Bug 166501 - SCSI driver fails to recognize tape after EOT
SCSI driver fails to recognize tape after EOT
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-22 12:15 EDT by Chris Sorisio
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Sorisio 2005-08-22 12:15:45 EDT
Description of problem:

We have an IBM Ultrium2 200GB tape drive connected to an IBM x346 server.  While
attempting to perform a backup of a directory via tar (/opt/oracle/backup,
~36GB), we received the following errors:

st0: Block limits 1 - 16777215 bytes.
ips 08:0e.0:Reset Request - Flushed Cache
scsi: device set offline - not ready or command retry failed after host reset:
host 0 channel 1 id 0 lun 0
st0: Error 30000 (sugg. bt 0x0, driver bt 0x0, host bt 0x3).

Now attempts to query the drive's status return 'No such device.'

[root@soraprod root]# mt -f /dev/st0 status
/dev/st0: No such device

Version-Release number of selected component (if applicable):

2.4.9-e.62smp #1 SMP Fri Apr 8 18:54:38 EDT 2005 i686 unknown

How reproducible:

Attempt to perform a backup of a similar amount of data using this equipment.

  
Actual results:

Tape drive reached EOT, device set offline, refuses to come back online.

Expected results:

Tape drive happily backs up 36GB of data and asks for more.

Additional info:

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 15 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Processor                        ANSI SCSI revision: 02
Host: scsi0 Channel: 01 Id: 00 Lun: 00
  Vendor: IBM      Model: ULT3580-TD2      Rev: 4772
  Type:   Sequential-Access                ANSI SCSI revision: 03
Host: scsi0 Channel: 02 Id: 08 Lun: 00
  Vendor: IBM      Model: 25R5170a S320  0 Rev: 1
  Type:   Processor                        ANSI SCSI revision: 02
Comment 1 Jindrich Novy 2005-08-23 06:38:59 EDT
This looks more like a kernel issue. Reassigning to kernel so that this problem
can be discussed there.
Comment 2 RHEL Product and Program Management 2007-10-19 15:20:32 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.